<?php

/**
 * DVG Logger configuration form.
 */
function dvg_logger_admin_form() {
  $form = array();

  $form['dvg_logger_recipient_emails'] = array(
    '#type' => 'textfield',
    '#title' => t('Recipient email'),
    '#description' => t('A comma separated list of email addresses.'),
    '#default_value' => variable_get('dvg_logger_recipient_emails', ''),
    '#element_validate' => array('_dvg_logger_validate_emails'),
    '#required' => TRUE,
  );

  $form['dvg_logger_email_subject'] = array(
    '#type' => 'textfield',
    '#title' => t('Email subject'),
    '#default_value' => variable_get('dvg_logger_email_subject', ''),
    '#required' => TRUE,
  );

  $form['dvg_logger_attempts_digest'] = array(
    '#type' => 'select',
    '#title' => t('Period'),
    '#description' => t('Select when to send an email containing failed login attempts.'),
    '#options' => array(
      '' => t('Do not send emails'),
      'daily' => t('Daily'),
      'weekly' => t('Weekly (first day of the week)'),
      'monthly' => t('Monthly (first day of the month)'),
    ),
    '#default_value' => variable_get('dvg_logger_attempts_digest', ''),
  );

  $form = system_settings_form($form);

  return $form;
}

/**
 * Validate callback that validates one or more email addresses.
 */
function _dvg_logger_validate_emails($form_element, &$form_state) {
  $value = str_replace(' ', '', $form_element['#value']);
  $emails = explode(',', $value);

  if (!empty($emails)) {
    foreach ($emails as $email) {
      if (!valid_email_address($email)) {
        form_error($form_element, t('%field contains an invalid email address: @email', array('%field' => $form_element['#title'], '@email' => $email)));
      }
    }
  }
}
